#!perl

@cc=("0x01", "0x00", "0x42", "0x02", "0xFF", "0x02", "0x56", "0x03", "0xE8",                                 # len = 9, get version 
     "0x01", "0x00", "0x42", "0x02", "0xFF", "0x02", "0x43", "0x03", "0xFD",                                 # len = 9, get runtime data
     "0x01", "0x00", "0x42", "0x06", "0xFF", "0x02", "0x57", "0x06", "0x01", "0xE8", "0x03", "0x03", "0x01", # len = 13, reset afv (to 100.0%)
     "0x01", "0x00", "0x42", "0x05", "0xFF", "0x02", "0x52", "0x06", "0x01", "0x02", "0x03", "0xEE",         # len = 12, get afv  
     "0x01", "0x00", "0x42", "0x05", "0xFF", "0x02", "0x52", "0x00", "0x20", "0x01", "0x03", "0xCA",         # len = 12, get status, for requests below  
     "0x01", "0x00", "0x42", "0x05", "0xFF", "0x02", "0x57", "0x00", "0x20", "0x01", "0x03", "0xCF",         # len = 12, clear dtc
     "0x01", "0x00", "0x42", "0x05", "0xFF", "0x02", "0x57", "0x00", "0x20", "0x02", "0x03", "0xCC",         # len = 12, test coil 1
     "0x01", "0x00", "0x42", "0x05", "0xFF", "0x02", "0x57", "0x00", "0x20", "0x03", "0x03", "0xCD",         # len = 12, test coil 2
     "0x01", "0x00", "0x42", "0x05", "0xFF", "0x02", "0x57", "0x00", "0x20", "0x04", "0x03", "0xCA",         # len = 12, test tacho
     "0x01", "0x00", "0x42", "0x05", "0xFF", "0x02", "0x57", "0x00", "0x20", "0x05", "0x03", "0xCB",         # len = 12, test fuelpump
     "0x01", "0x00", "0x42", "0x05", "0xFF", "0x02", "0x57", "0x00", "0x20", "0x06", "0x03", "0xC8",         # len = 12, test injector 1
     "0x01", "0x00", "0x42", "0x05", "0xFF", "0x02", "0x57", "0x00", "0x20", "0x07", "0x03", "0xC9",         # len = 12, test injector 2
     "0x01", "0x00", "0x42", "0x05", "0xFF", "0x02", "0x57", "0x00", "0x20", "0x08", "0x03", "0xC6",         # len = 12, tps reset
     "0x01", "0x00", "0x42", "0x05", "0xFF", "0x02", "0x57", "0x00", "0x20", "0x09", "0x03", "0xC7",         # len = 12, test fan
     "0x01", "0x00", "0x42", "0x05", "0xFF", "0x02", "0x57", "0x00", "0x20", "0x0A", "0x03", "0xC4",         # len = 12, test active exhaust valve
     "0x01", "0x00", "0x42", "0x05", "0xFF", "0x02", "0x52", "0x00", "0x01", "0x01", "0x03", "0xEB",         # len = 12, get one byte from offset 0x00 page 0x01 
     "0x01", "0x00", "0x42", "0x05", "0xFF", "0x02", "0x57", "0x00", "0x01", "0x01", "0x03", "0xEE",         # len = 12, set one byte at offset 0x00 page 0x01 
);

open (OUTFILE,">requests.bin")  or die "can't open output: $!";

binmode OUTFILE;


foreach $i  (@cc) {
  print OUTFILE chr(hex($i));
}

close OUTFILE;
